[![@nuxt/http](https://http.nuxtjs.org/preview.png)](https://http.nuxtjs.org)

# Nuxt HTTP

[![npm version][npm-version-src]][npm-version-href]
[![npm downloads][npm-downloads-src]][npm-downloads-href]
[![Github Actions CI][github-actions-ci-src]][github-actions-ci-href]
[![Codecov][codecov-src]][codecov-href]
[![License][license-src]][license-href]
[![Standard JS][standard-js-src]][standard-js-href]

> HTTP module for Nuxt with a universal way to make HTTP requests to the API backend.

- [✨ &nbsp;Release Notes](https://http.nuxtjs.org/releases)
- [📖 &nbsp;Documentation](https://http.nuxtjs.org)

## Features

- The fluent [ky](https://github.com/sindresorhus/ky) API has been extended with enhancements and shortcuts
- Highly customizable options support for [BaseURL](https://http.nuxtjs.org/options#baseurl)
- Automatically proxy cookies and headers when making requests from server side
- Best practices to avoid token sharing when making server side requests
- Easy proxy support to avoid CORS problems and making deployment easier

[📖 &nbsp;Read more](https://http.nuxtjs.org)

## Development

1. Clone this repository
2. Install dependencies using `yarn install`
3. Start development server using `yarn dev`
4. Then go for instance to `http://localhost:3000/mounted`

## 📖 Contribute to the documentation 

1. Go into the docs folder
2. Install dependencies using `yarn install`
3. Start development server using `yarn dev`

## 📑 License

[MIT License](./LICENSE)

Copyright (c) Nuxt.js Team

<!-- Badges -->
[npm-version-src]: https://flat.badgen.net/npm/v/@nuxt/http
[npm-version-href]: https://npmjs.com/package/@nuxt/http
[npm-downloads-src]: https://flat.badgen.net/npm/dm/@nuxt/http
[npm-downloads-href]: https://npmjs.com/package/@nuxt/http
[github-actions-ci-src]: https://github.com/nuxt/http/workflows/ci/badge.svg
[github-actions-ci-href]: https://github.com/nuxt/http/actions?query=workflow%3Aci
[checks-src]: https://flat.badgen.net/github/checks/nuxt/http/master
[checks-href]: https://github.com/nuxt/http/actions
[codecov-src]: https://flat.badgen.net/codecov/c/github/nuxt/http
[codecov-href]: https://codecov.io/gh/nuxt/http
[standard-js-src]: https://img.shields.io/badge/code_style-standard-brightgreen.svg?style=flat-square
[standard-js-href]: https://standardjs.com
[license-src]: https://img.shields.io/npm/l/@nuxt/http.svg
[license-href]: https://npmjs.com/package/@nuxt/http
